fse.vo

## Class BlindStatus

- java.lang.Object
- - fse.vo.BlindStatus

-     public class BlindStatus
      extends java.lang.Object

  Container delle informazioni sull'oscuramento e la maggior tutela di anonimato

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `documentBlinded`
    `protected java.lang.String` | `documentConfidentialityCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlindStatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDocumentBlinded()` Ritorna il valore dell'oscuramento del documento
    `java.lang.String` | `getDocumentConfidentialityCode()` Ritorna il valore della maggior tutela di anonimato per il documento
    `void` | `setDocumentBlinded(java.lang.String value)` Imposta il valore dell'oscuramento del documento
    `void` | `setDocumentConfidentialityCode(java.lang.String value)` Imposta il valore della maggior tutela di anonimato per il documento

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### documentBlinded

          protected java.lang.String documentBlinded

    - #### documentConfidentialityCode

          protected java.lang.String documentConfidentialityCode

  - ### Constructor Detail

    - #### BlindStatus

          public BlindStatus()

  - ### Method Detail

    - #### getDocumentBlinded

          public java.lang.String getDocumentBlinded()

      Ritorna il valore dell'oscuramento del documento
      Returns:
        true/false stante ad indicare lo stato dell'oscuramento

    - #### setDocumentBlinded

          public void setDocumentBlinded(java.lang.String value)

      Imposta il valore dell'oscuramento del documento
      Parameters:
        `documentBlinded` - true/false stante ad indicare lo stato dell'oscuramento

    - #### getDocumentConfidentialityCode

          public java.lang.String getDocumentConfidentialityCode()

      Ritorna il valore della maggior tutela di anonimato per il documento
      Returns:
        "V" se documento o dato a maggior tutela o "N" se normale

    - #### setDocumentConfidentialityCode

          public void setDocumentConfidentialityCode(java.lang.String value)

      Imposta il valore della maggior tutela di anonimato per il documento
      Parameters:
        `documentConfidentialityCode` - "V" se documento o dato a maggior tutela o "N" se normale